<sqtm-core-entity-view-wrapper [sqtmCoreViewId]="'profile-view'">
  <div class="flex full-height full-width neutral-background-color">
    @if (profileViewService.componentData$ | async; as componentData) {
      <div class="flex-column full-width">
        <div class="flex-row full-width">
          <sqtm-app-admin-view-header
            class="full-width p-t-10 p-r-20"
            [editableTitle]="!componentData.profile.system && $isUltimate()"
            [dropdownMenu]="profileMenu"
            [showMenu]="!componentData.profile.system"
            [entityNameKey]="'name'"
          >
            <div class="flex-column m-t-10 width-40">
              <sqtm-core-close-button class="m-b-20"></sqtm-core-close-button>
              <sqtm-core-fold-button></sqtm-core-fold-button>
            </div>
          </sqtm-app-admin-view-header>
        </div>
        <div class="flex-row full-width full-height">
          <div class="flex-fixed-size side-bar">
            <div class="anchor-bar">
              <sqtm-core-anchor>
                <sqtm-core-anchor-group [id]="'content'">
                  <sqtm-core-anchor-link
                    nz-tooltip
                    nzTooltipPlacement="right"
                    sqtmCoreDefaultAnchorLink
                    [id]="'information'"
                    [nzTooltipTitle]="
                      'sqtm-core.generic.label.information.plural' | translate
                    "
                    [iconName]="'sqtm-core-administration:information'"
                  >
                  </sqtm-core-anchor-link>
                  <sqtm-core-anchor-link
                    nz-tooltip
                    nzTooltipPlacement="right"
                    [id]="'permissions'"
                    [nzTooltipTitle]="
                      'sqtm-core.generic.label.permissions' | translate
                    "
                    [iconName]="'sqtm-core-administration:approval'"
                  >
                  </sqtm-core-anchor-link>
                  <sqtm-core-anchor-link
                    nz-tooltip
                    nzTooltipPlacement="right"
                    [id]="'authorizations'"
                    [nzTooltipTitle]="
                      'sqtm-core.entity.project.authorizations.label.plural'
                        | translate
                    "
                    [iconName]="'sqtm-core-administration:user'"
                  >
                    @if (
                      profileViewService.authorizationCount$ | async;
                      as authorizationCount
                    ) {
                      @if (authorizationCount > 0) {
                        <div
                          class="anchor-counter"
                          [attr.data-test-element-id]="
                            'profile-view-authorization-count'
                          "
                        >
                          <span>{{ authorizationCount }}</span>
                        </div>
                      }
                    }
                  </sqtm-core-anchor-link>
                </sqtm-core-anchor-group>
              </sqtm-core-anchor>
            </div>
          </div>
          <div class="admin-contextual-content-body full-height full-width">
            <router-outlet></router-outlet>
          </div>
        </div>
      </div>
    }
  </div>

  <nz-dropdown-menu #profileMenu="nzDropdownMenu">
    <ul nz-menu [attr.data-test-menu-id]="'profile-menu'">
      <li
        nz-menu-item
        class="sqtm-core-error-message"
        [attr.data-test-menu-item-id]="'delete-profile'"
        (click)="handleDelete()"
      >
        {{ 'sqtm-core.generic.label.delete' | translate }}
      </li>
    </ul>
  </nz-dropdown-menu>
</sqtm-core-entity-view-wrapper>
